# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_243dag1ts0/clone/recipe, last modified Wed Jul 26 17:26:44 2023
# ------------------------------------------------

package:
  name: pytensor
  version: 2.13.1
source:
  sha256: 468eb208e5a9fe62530752a354f48f739442b45811797e084ea432809ca5f99c
  url: https://github.com/pymc-devs/pytensor/archive/refs/tags/rel-2.13.1.tar.gz
build:
  entry_points:
    - pytensor-cache = bin.pytensor_cache:main
  number: '0'
  script:
    - python -m pip install . -vv --no-deps --no-build-isolation
  string: py311hdb55bb0_0
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.19.0 h6c40b1e_0
    - ca-certificates 2023.05.30 hecd8cb5_0
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - curl 8.1.1 h6c40b1e_1
    - expat 2.4.9 he9d5cce_0
    - gdbm 1.18 hdccc71a_4
    - gettext 0.21.0 he85b6c0_1
    - git 2.40.1 pl5340hb824c65_1
    - icu 58.2 h0a44026_3
    - krb5 1.20.1 h428f121_1
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.5 hc58f1be_3
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcurl 8.1.1 hf20ceda_1
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20221030 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libffi 3.4.4 hecd8cb5_0
    - libiconv 1.16 hca72f7f_2
    - libllvm14 14.0.6 h91fad77_3
    - libnghttp2 1.52.0 h9beae6a_1
    - libssh2 1.10.0 h04015c4_2
    - libxml2 2.10.3 h930c0e2_0
    - llvm-openmp 14.0.6 h0dcd299_0
    - llvm-tools 14.0.6 he0576d7_3
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.9 hca72f7f_0
    - pcre2 10.42 h9b97e30_0
    - perl 5.34.0 h435f0c2_2
    - readline 8.2 hca72f7f_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.12 h5d9f67b_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.05.30 hecd8cb5_0
    - cython 3.0.0 py311h6c40b1e_0
    - intel-openmp 2023.1.0 ha357a0b_43547
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - mkl 2023.1.0 h59209a4_43558
    - mkl-service 2.4.0 py311h6c40b1e_1
    - mkl_fft 1.3.6 py311hdb55bb0_1
    - mkl_random 1.2.2 py311hdb55bb0_1
    - ncurses 6.4 hcec6c5f_0
    - numpy 1.23.5 py311h728a8a3_1
    - numpy-base 1.23.5 py311h53bf9ac_1
    - openssl 3.0.9 hca72f7f_0
    - pip 23.2.1 py311hecd8cb5_0
    - python 3.11.4 hf27a42d_0
    - readline 8.2 hca72f7f_0
    - setuptools 68.0.0 py311hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tbb 2021.8.0 ha357a0b_0
    - tk 8.6.12 h5d9f67b_0
    - tomli 2.0.1 py311hecd8cb5_0
    - tzdata 2023c h04d1e81_0
    - versioneer 0.28 py311hecd8cb5_0
    - wheel 0.38.4 py311hecd8cb5_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - cons
    - etuples
    - filelock
    - libcxx >=14.0.6
    - logical-unification
    - miniKanren
    - numpy >=1.23.5,<2.0a0
    - python >=3.11,<3.12.0a0
    - scipy >=0.14
    - setuptools >=48.0.0
    - typing_extensions
test:
  commands:
    - pytensor-cache help
    - pip check
    - python check-for-warnings.py allowed-warnings-base.txt
    - python -m pytest tests/test_breakpoint.py tests/test_config.py tests/test_gradient.py
      tests/test_ifelse.py tests/test_raise_op.py tests/test_rop.py tests/test_updates.py
    - python -m pytest tests/test_printing.py
  files:
    - allowed-warnings-base.txt
    - check-for-warnings.py
  imports:
    - pytensor
    - pytensor.configdefaults
  requires:
    - coverage >=5.1
    - pip
    - pre-commit
    - pytest
    - pytest-benchmark
    - pytest-cov >=2.6.1
  source_files:
    - tests
about:
  description: 'PyTensor is a Python library that allows you to define, optimize/rewrite,
    and evaluate mathematical expressions

    involving multi-dimensional arrays efficiently.

    '
  dev_url: https://github.com/pymc-devs/pytensor/
  doc_url: https://pytensor.readthedocs.io/en/latest/
  home: https://github.com/pymc-devs/pytensor
  license: BSD-3-Clause
  license_family: BSD
  license_file: doc/LICENSE.txt
  summary: An optimizing compiler for evaluating mathematical expressions.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 243044b0-43f4-4bb4-abfd-d685216d1b1b
  recipe-maintainers:
    - aseyboldt
    - maresb
    - michaelosthege
    - twiecki
  remote_url: git@github.com:AnacondaRecipes/pytensor-suite-feedstock.git
  sha: 49c58c3c0db64dc2586f56afb82ed128dd07a440
  skip-lints:
    - documentation_specifies_language
    - host_section_needs_exact_pinnings
    - python_build_tool_in_run
